%define module	pypoppler

Summary:	Python bindings for the Poppler PDF rendering library
Summary(de):	Python Bindungen für Poppler PDF Rendering Bibliothek
Name:		python-%{module}
Version:	0.12.1
Release:	%mkrel 7
Source0:	http://launchpad.net/poppler-python/trunk/development/+download/%{module}-%{version}.tar.xz
Patch0:		pypoppler-0.12.1-poppler-0.16.0.patch
Patch1:		pypoppler-0.12.1-link.patch
Patch2:		pypoppler-0.12.1-poppler-0.18.0.patch
Patch3:		python-poppler-0.12.1-poppler-0.39.0-changes.patch
License:	GPLv2+
Group:		Development/Python
Url:		https://launchpad.net/poppler-python
Provides:	%{module} = %{version}
BuildRequires:	python-devel 
BuildRequires:	pygtk2.0-devel
BuildRequires:	atk-devel
BuildRequires:	%{_lib}poppler-devel >= 0.16.7
BuildRequires:	python-cairo-devel
BuildRequires:	cairo-devel
BuildRequires:	%{_lib}poppler-glib-devel >= 0.16.7
BuildRequires:	%{_lib}openjpeg1-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Python bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python and using Poppler set.

#german
%description -l de
Python Bindungen für die Poppler PDF Rendering Bibliothek. Wird 
benötigt für Programme die in Python geschrieben wurden und die 
Popplersammlung nutzen. 


%prep
%setup -q -n %{module}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p0

%build
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS
%{py_platsitedir}/poppler.so


%changelog
* Mon Mar 20 2017 bb2 <bb2> - 0.12-7pclos2017
- rebuild new poppler

* Fri Oct 10 2014 bb <bb> 0.12-6pclos2014
- rebuild for updated poppler library
